# SetECValue

### int SetECValue(int ECID, string strValue)

라이브러리에 등록된 특정 ECID의 현재 값(ECVAL)을 설정합니다.&#x20;

{% hint style="warning" %}
만약 해당 ECID에 대해 SetECRange() 함수로 최솟값과 최댓값이 미리 설정되어 있다면, 해당 범위를 벗어나지 않은 값만 설정이 가능합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="223" valign="top"></th><th width="112" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">ECID</td><td valign="top">int</td><td valign="top">Min/Max 값을 설정하기 위한 대상 ECID</td></tr><tr><td valign="top">pszValue</td><td valign="top">string</td><td valign="top">설정하고자 하는 값</td></tr></tbody></table>

&#x20;

```csharp
int ecid = 5001;
string newValue = "250";

// ECID 5001번에 새로운 값을 할당
int result = m_gem.SetECValue(ecid, newValue);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-6/setecvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
